diff --git a/books/bookvol10.1.pamphlet b/books/bookvol10.1.pamphlet
index 787f14c..2afae66 100644
--- a/books/bookvol10.1.pamphlet
+++ b/books/bookvol10.1.pamphlet
@@ -1,256 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{amssymb}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-\renewcommand{\thefootnote}{\fnsymbol{footnote}}
-%% Before each footnote we explicitly set the counter to 1 so that
-%% when it increments it prints a dagger
-\setcounter{footnote}{1}
-% special meanings for math characters
-\providecommand{\N}{\mbox{\bbold N}}
-\providecommand{\Natural}{\mbox{\bbold N}}
-\providecommand{\Z}{\mbox{\bbold Z}}
-\providecommand{\Integer}{\mbox{\bbold Z}}
-\providecommand{\Rational}{\mbox{\bbold Q}}
-\providecommand{\Q}{\mbox{\bbold Q}}
-\providecommand{\Complex}{\mbox{\bbold C}}
-\providecommand{\C}{{\mathcal C}}
-\providecommand{\Real}{\mbox{\bbold R}}
-\providecommand{\F}{{\mathcal F}}
-\providecommand{\R}{{\mathcal R}}
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 10: Axiom Algebra: Theory}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-\tableofcontents
-\vfill
-\newpage
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 10: Axiom Algebra: Theory}
+\input{bookheader.tex}
 \chapter{Integration}
 An {\sl elementary function}
 \index{elementary function}
diff --git a/books/bookvol10.pamphlet b/books/bookvol10.pamphlet
index 0bbfb3e..f0ffdff 100644
--- a/books/bookvol10.pamphlet
+++ b/books/bookvol10.pamphlet
@@ -1,253 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{amssymb}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-% special meanings for math characters
-\providecommand{\N}{\mbox{\bbold N}}
-\providecommand{\Natural}{\mbox{\bbold N}}
-\providecommand{\Z}{\mbox{\bbold Z}}
-\providecommand{\Integer}{\mbox{\bbold Z}}
-\providecommand{\Rational}{\mbox{\bbold Q}}
-\providecommand{\Q}{\mbox{\bbold Q}}
-\providecommand{\Complex}{\mbox{\bbold C}}
-\providecommand{\C}{{\mathcal C}}
-\providecommand{\Real}{\mbox{\bbold R}}
-\providecommand{\F}{{\mathcal F}}
-\providecommand{\R}{{\mathcal R}}
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 10: Axiom Algebra: Implementation}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 10: Axiom Algebra: Implementation}
+\input{bookheader.tex}
 \chapter{Implementation}
 
 \section{Elementary Functions\cite{4}}
diff --git a/books/bookvol8.1.pamphlet b/books/bookvol8.1.pamphlet
index e8e38f7..eb1653d 100644
--- a/books/bookvol8.1.pamphlet
+++ b/books/bookvol8.1.pamphlet
@@ -1,240 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 8.1: Axiom Gallery}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-
+\newcommand{\VolumeName}{Volume 8.1: Axiom Gallery}
+\input{bookheader.tex}
 \chapter{General examples}
 These examples come from code that ships with Axiom in various
 input files.
diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 8fa8c52..a54eaa9 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -1,332 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-% struggle with latex figure-floating behavior
-\renewcommand\floatpagefraction{.9}
-\renewcommand\topfraction{.9}
-\renewcommand\bottomfraction{.9}
-\renewcommand\textfraction{.1}
-\setcounter{totalnumber}{50}
-\setcounter{topnumber}{50}
-\setcounter{bottomnumber}{50}
-
-
-%% spadgraph are the actual text that you type at the axiom prompt for draw
-\providecommand{\spadgraph}[1]%
-{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
-
-% spadfunFrom records the function name and domain in the index
-\providecommand{\spadfunFrom}[2]%
-{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
-
-%% spadsig gives the standard -> notation for signatures
-\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
-
-% special meanings for math characters
-\providecommand{\N}{\mbox{\bbold N}}
-\providecommand{\Natural}{\mbox{\bbold N}}
-\providecommand{\Z}{\mbox{\bbold Z}}
-\providecommand{\Integer}{\mbox{\bbold Z}}
-\providecommand{\Rational}{\mbox{\bbold Q}}
-\providecommand{\Q}{\mbox{\bbold Q}}
-\providecommand{\Complex}{\mbox{\bbold C}}
-\providecommand{\C}{{\mathcal C}}
-\providecommand{\Real}{\mbox{\bbold R}}
-\providecommand{\F}{{\mathcal F}}
-\providecommand{\R}{{\mathcal R}}
-
-% draw a box around a text block
-\providecommand\boxed[2]{%
-\begin{center}
-\begin{tabular}{|c|}
-\hline
-\begin{minipage}{#1}
-\normalsize
-{#2}
-\end{minipage}\\
-\hline
-\end{tabular}
-\end{center}}
-
-\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
-\providecommand{\argDef}[1]{{\tt ({#1})}}
-\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
-\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
-\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
-
-\def\glossaryTerm#1{{\bf #1}\index{#1}}
-\def\glossaryTermNoIndex#1{{\bf #1}}
-\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
-\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
-\def\csch{\mathop{\rm csch}\nolimits}
-
-\def\erf{\mathop{\rm erf}\nolimits}
-
-\def\zag#1#2{
-  {{\hfill \left. {#1} \right|}
-   \over
-   {\left| {#2} \right. \hfill}
-  }
-}
-
-
-% these bitmaps are used by HyperDoc
-\newdimen\commentWidth 
-\commentWidth=11pc
-\newdimen\colGutterWidth 
-\colGutterWidth=1pc
-\newdimen\baseLeftSkip
-\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
-
-\providecommand\ExitBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
-
-\providecommand\ReturnBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
-
-\providecommand\HelpBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
-
-\providecommand\UpBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
-
-\providecommand{\tpd}[5]%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
-
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume Bibliography: Axiom Literature Citations}}
-\end{titlepage}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
+\newcommand{\VolumeName}{Volume Bibliography: Axiom Literature Citations}
+\input{bookheader.tex}
 \eject
 A bibliography of Axiom references which are used throughout
 Axiom. The first section contains literature that mentions Axiom,
diff --git a/changelog b/changelog
index 5bc7997..8c1c02b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,15 @@
+20130501 tpd src/axiom-website/patches.html 20130501.01.tpd.patch
+20130501 tpd books/bookvol10.1 use bookheader.tex
+20130501 tpd books/bookvol10 use bookheader.tex
+20130501 tpd books/bookvolbib use bookheader.tex
+20130501 tpd books/bookvol8.1 remove Makefile residue
+20130430 tpd src/axiom-website/patches.html 20130430.01.tpd.patch
+20130430 tpd src/Makefile handle special case files for bookvol11
+20130430 tpd src/algebra/Makefile add fastxhtml extraction call
+20130430 tpd books/tangle.lisp add fastxhtml for extraction from bookvol11
+20130430 tpd books/bookvol11 use latex chunking, remove Makefile
+20130430 tpd books/Makefile use latex chunking for all books
+20130430 tpd Makefile remove Makefile from bookvol11
 20130429 tpd src/axiom-website/patches.html 20130429.02.tpd.patch
 20130429 tpd books/bookvol8 use bookheader.tex
 20130429 tpd books/bookvol7.1 use bookheader.tex
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6e9ec96..07698a6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4161,6 +4161,8 @@ books/bookvol8 convert bookvol8 from noweb to chunks
 books/bookvol{1,7.1,8} use bookheader.tex
 <a href="patches/20130430.01.tpd.patch">20130430.01.tpd.patch</a>
 books/bookvol11 use latex chunking, remove Makefile
+<a href="patches/20130501.01.tpd.patch">20130501.01.tpd.patch</a>
+books/bookvol10 use bookheader.tex on remaining books
  </body>
 </html>
 
